using System;
using Microsoft.Interop.Security.AzRoles;

namespace Microsoft.AzRoles
{
    public class BizRuleContext
    {
        IAzBizRuleContext bizRuleContext;

        internal BizRuleContext(IAzBizRuleContext bizRuleContext)
        {
            this.bizRuleContext = bizRuleContext;
        }

        public int BusinessRuleResult
        {
            set { bizRuleContext.BusinessRuleResult = value; }
        }

        public string BusinessRuleString
        {
            get { return bizRuleContext.BusinessRuleString; }
            set { bizRuleContext.BusinessRuleString = value; }
        }

        public object GetParameter(string parameterName)
        {
            return bizRuleContext.GetParameter(parameterName);
        }
    }
}
