using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Microsoft.AzRoles;

public partial class PaginasRestringidas_ChequeoPermisos : System.Web.UI.Page
{
    protected void Page_Load( object sender, EventArgs e )
    {

    }
    protected void buttonChequear_Click( object sender, EventArgs e )
    {
        AuthorizationStore store = new AuthorizationStore( ConfigurationManager.ConnectionStrings[ "LocalPolicyStore" ].ConnectionString );
        Application azManApplication = store.OpenApplication( "AzManDemo" );

        ClientContext azManClient = azManApplication.InitializeClientContext( );

        int resultado = -1;
        try
        {
            resultado = azManClient.AccessCheck( "Auditstring", null, GetOperationId( azManApplication, textBoxNombreOperacion.Text ) );
        }
        catch { }

        if ( resultado == 0 )
            labelResultado.Text = "Tiene permisos";
        else
            labelResultado.Text = "No tiene permisos";
    }

    private int GetOperationId( Application azManApplication, string operationName )
    {
        int result = -1;

        foreach ( Operation oper in azManApplication.Operations )
        {
            if ( oper.Name == operationName )
            {
                result = oper.OperationID;
                break;
            }
        }

        return result;
    }
}